- Overview
- Reference Guide
- Setup & Architecture
- Release Notes
- Workflow
- API Reference
- Integration Guide
- Discovery Agent Setup Guide
Scheduling
The Scheduling endpoints read and configure the scheduled weekly and monthly reports and alerts.
For the corresponding user interface, refer to the Miscellaneous > Settings section.
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /schedule | Get scheduled jobs. |
| POST | /schedule | Configure schedule. |
GET /schedule
Returns the configuration of the scheduled weekly and monthly reports and alerts.
Example Request
curl -X GET "https://<certsecure-backend-url>/schedule" \
-H "Authorization: Bearer <token>"
Example Response
{
"alerts_enabled": "all",
"Alerts": [],
"CriticalAlerts": [],
"WeeklyAlerts": false,
"MonthlyAlerts": false,
"WeeklyReports": {
"CountByTemplate": false,
"Expiring": false,
"KeyLength": false,
"PKIHealthInfo": false,
"Inventory": {
"Active": false,
"Denied": false,
"Expired": false,
"Failed": false,
"Revoked": false
}
},
"MonthlyReports": {
"CountByTemplate": false,
"Expiring": false,
"KeyLength": false,
"PKIHealthInfo": false,
"Inventory": {
"Active": false,
"Denied": false,
"Expired": false,
"Failed": false,
"Revoked": false
}
}
}
Responses
| Status Code | Description |
|---|---|
| 200 | Schedule. |
POST /schedule
Updates the configuration of the scheduled reports and alerts.
Request Body (application/json)
The request body is a JSON object that contains the settings to save.
Example Request
curl -X POST "https://<certsecure-backend-url>/schedule" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
Responses
| Status Code | Description |
|---|---|
| 200 | The settings were saved. |